AOWP_MethodCallJoinPointWeaveCommand (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.weaver.command.AOWP_MethodCallJoinPointWeaveCommand
/aspect/weaver/command/MethodCallJoinPointWeaveCommand.class.php at line 12

# Class AOWP_MethodCallJoinPointWeaveCommand

    AOWP_MethodCallJoinPointWeaveCommand

All Implemented Interfaces:
  AOWP_IWeaveCommand

public class AOWP_MethodCallJoinPointWeaveCommand

Author:
  keiji

Method Summary
private static void | _changeIntoWrapingFunctionCall(mixed targetObjectPropertyElement, mixed wrappingFunctionName)
private static unknown_type | _createReturnStatementWithJoinPoint(mixed joinPointVariableName, mixed methodName, mixed argumentCount, $joinPointVariableName ジョインポイントを表す変数名。, $argumentCount )
void | weaveAfterAdvice(mixed advice, mixed joinPoint)
void | weaveAroundAdvice(mixed advice, mixed joinPoint)
void | weaveBeforeAdvice(mixed advice, mixed joinPoint)

## Method Detail

/aspect/weaver/command/MethodCallJoinPointWeaveCommand.class.php at line 201

### _changeIntoWrapingFunctionCall

`private static void _changeIntoWrapingFunctionCall(mixed targetObjectPropertyElement, mixed wrappingFunctionName)`

/aspect/weaver/command/MethodCallJoinPointWeaveCommand.class.php at line 222

### _createReturnStatementWithJoinPoint

`private static unknown_type _createReturnStatementWithJoinPoint(mixed joinPointVariableName, mixed methodName, mixed argumentCount, $joinPointVariableName ジョインポイントを表す変数名。, $argumentCount )`

/aspect/weaver/command/MethodCallJoinPointWeaveCommand.class.php at line 65

### weaveAfterAdvice

`public void weaveAfterAdvice(mixed advice, mixed joinPoint)`

/aspect/weaver/command/MethodCallJoinPointWeaveCommand.class.php at line 125

### weaveAroundAdvice

`public void weaveAroundAdvice(mixed advice, mixed joinPoint)`

/aspect/weaver/command/MethodCallJoinPointWeaveCommand.class.php at line 14

### weaveBeforeAdvice

`public void weaveBeforeAdvice(mixed advice, mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr